Welcome, Guest. Please login or register.
Did you miss your activation email?

Author Topic: [EN] glances error  (Read 1927 times)

Offline sunrat

  • User
  • Posts: 406
[EN] glances error
« on: 2014/05/07, 15:58:35 »
I know it worked sometime in the past but not sure if it was in my newish December or old Riders install. Now it just shows this error:
Code: [Select]
$ glances
Traceback (most recent call last):
  File "/usr/bin/glances", line 5, in <module>
    from pkg_resources import load_entry_point
ImportError: No module named 'pkg_resources'

Offline musca

  • User
  • Posts: 725
  • sid, fly high!
Re: glances error
« Reply #1 on: 2014/05/07, 19:45:18 »
Hello sunrat,

I tried to install with recommends: apt-get -o APT::Install-Recommends=true install glances, but it didn't help.

Glances seems to miss some python3 stuff, e.g. installing python3-pkg-resources changes the traceback a little.

Code: [Select]
self.cmdline_cache[procstat['pid']] = ' '.join(proc.cmdline)   TypeError: can only join an iterable
and there is a bug:  https://bugs.debian.org/741385

greetings
musca
« Last Edit: 2014/05/07, 19:50:15 by musca »
β€žEs irrt der Mensch, solang er strebt.β€œ  (Goethe, Faust)

Offline sunrat

  • User
  • Posts: 406
Re: glances error
« Reply #2 on: 2014/05/08, 03:48:49 »
Thanks musca. I'll just wait as it looks like an upstream bug.
It's not an essential program but nicely pulls together info that otherwise requires top, free, df and more.